Execute Pipelines
This API enables you to trigger the pipeline on a particular branch in the Git repository. This can be done by passing the branch name as a parameter in the request body. When triggering manual pipelines, you can simply ignore the branch name parameter in the request JSON.
On triggering this API, the pipeline will be executed, and the status of execution will be returned as a response.
Get Pipeline Details
This API enables you to fetch the details of a pipeline created in the Catalyst console. This can be done by passing the pipeline_id and the project_id in the request URL. The API fetches the details of the project in which the pipeline is created and the details of the pipeline.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/pipeline/{pipeline_id}/run
The unique ID of the project in which the pipeline has been created
The unique ID of the pipeline for which the details have to be fetched.
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
branch:{{Git branch name}}
Scope
ZohoCatalyst.pipeline.execution.CREATE
Request JSON Properties
Response Details
An object containing the pipeline creation history details will be returned as a response. The object includes details such as the history_id, event_time, history_status.
curl -X POST
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/pipeline/29810101101/run
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57”
-H ‘Content-Type: application/json’
-d ‘{
“BRANCH_NAME” : “main”,
“EVENT”: “push”, \
“URL”: “https://www.google.com”
}
{
“status”: “success”,
“data”: {
“history_id”: “5000000021007”,
“pipeline_id”: “29810101101”,
“event_time”: “Mar 20, 2024 02:02 PM”,
“event_details”: {
“BRANCH_NAME”: “main”,
“EVENT”: “push”,
“URL”: “https://www.google.com”
},
“history_status”: “Queued”
}
}
Yes
No
Send your feedback to us